<?php
$session = new Zend_Session_Namespace('Cart');
foreach ($this->products as $value) {
    ?>
    <div class="product">
        <a href='/eshop/products/?product_id=<?= $value['product_id'] ?>'>
    <?= $value['title'] ?><br/>
            ID: <?= $value['product_id'] ?><br/>
            Text: <?= $value['text'] ?><br/>
            v košíku: <?php if (isset($session->$value['product_id'])) {echo $session->$value['product_id'];} ?><br/>
        </a>
        <form method='post' action='/eshop/cart/add/'>
            <input type='hidden' name='product_id' value='<?= $value['product_id'] ?>'/>
            <input type='hidden' name='redirect' value='<?= $_SERVER['REQUEST_URI'] ?>'/>
            <input type='text' name='quantity' value='1' style='width: 20px'/>
            <input style='width: 190px' type='submit' value='Přidat'/>
        </form>
    </div>
    <?php
}